#include <bits/stdc++.h>
using namespace std;
int main()
{
	long long n,m,sum=0;
	cin>>n>>m;
	for(int i=0; i<n; i++)
	{
		sum+=(n-i)*m;
	}
	sum+=(n-1)*m;
	long long minsum=0;
	for(int i=0; i<m; i++)
	{
		minsum+=(m-i);
	}
	minsum+=(m-1);
	sum+=minsum*n;
	sum-=n*m;
	
	cout<<sum;
}
